Bug 580984 - SIGSEGV in gdk_gl_get_proc_address as called by cvisual::display_kernel::realize by cvisualmodule.so
Summary: SIGSEGV in gdk_gl_get_proc_address as called by cvisual::display_kernel::real...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-visual
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4b929d5502bc889a93ed82c50da...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-09 17:23 UTC by dr.trigon
Modified: 2010-11-23 21:49 UTC (History)
7 users (show)

Fixed In Version: python-visual-5.32-10.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-23 21:49:54 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.71 KB, text/plain)
2010-04-09 17:23 UTC, dr.trigon
no flags Details
backtrace (with vpython-debuginfo) (33.82 KB, text/plain)
2010-04-09 17:54 UTC, dr.trigon
no flags Details

Description dr.trigon 2010-04-09 17:23:52 UTC
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: python
comment: I installed VPython according to https://bugzilla.redhat.com/show_bug.cgi?id=537983 by RPM. Everytime I open python an try to do anything with visual (except import), python crashes with this error.
component: python
executable: /usr/bin/python
kernel: 2.6.32.9-70.fc12.i686
package: python-2.6.2-4.fc12
rating: 3
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. install http://tomspur.fedorapeople.org/review/vpython-5.13-3.fc12.src.rpm
2. run python:
3. >>> from visual import *
4. >>> sphere()

Comment 1 dr.trigon 2010-04-09 17:23:56 UTC
Created attachment 405588 [details]
File: backtrace

Comment 2 Dave Malcolm 2010-04-09 17:34:06 UTC
Thanks for filing this bug report.

Looking at the backtrace, it looks like a SIGSEGV in thread 1 calling Gdk::GL::get_proc_address from inside cvisualmodule.so from the "visual" rpm.

Is there a visual-debuginfo package?  Installing that and retrying may help indicate exactly how this is happening.

(A simple way to reproduce this may be to run:
   python -c "from visual import * ; sphere()"
as this avoids the need to type the commands each time)

(It's not clear to me exactly which visual package you're using: did you build it yourself from Thomas' src.rpm ?)

Hope this is helpful

Comment 3 dr.trigon 2010-04-09 17:52:26 UTC
(In reply to comment #2)
> Thanks for filing this bug report.

Thanks for reading it!

> Is there a visual-debuginfo package?  Installing that and retrying may help
> indicate exactly how this is happening.

In fact: yes, there is ... :)
So I installed it and did as you mentioned:

python -c "from visual import * ; sphere()"

the backtrace is attached.

> (It's not clear to me exactly which visual package you're using: did you build
> it yourself from Thomas' src.rpm ?)

Yes. To be more specific, here what I did:
  1. get http://tomspur.fedorapeople.org/review/vpython-5.13-3.fc12.src.rpm
  2. from shell: "rpmbuild --rebuild vpython-5.13-3.fc12.src.rpm"
  3. install 'vpython-5.13-3.fc12.i686.rpm' (from "~/rpmbuild/..." but without debuginfo as you recognized)
  4. and then tested in python

> Hope this is helpful    

Me too! ;)

Thanks for your fast answer!

Comment 4 dr.trigon 2010-04-09 17:54:06 UTC
Created attachment 405599 [details]
backtrace (with vpython-debuginfo)

Comment 5 Dave Malcolm 2010-04-09 21:21:31 UTC
Thanks.  This looks to me like a bug in how cvisualmodule.so is calling into gdk_gl.  

(The NULL proc_address in frame #1 looks suspicious to me, but that's just a hunch)

Assigning to Thomas Spura (c.f. review request for vpython: bug 537983).

Comment 6 Thomas Spura 2010-04-10 16:51:49 UTC
Thanks, Dave.

Hmm, my main problem atm is, that the new version of vpython didn't build on koji for F-12 and I have no access to the build logs.

I'll try to get this build and hopefully this solves the problem.

(I guess, this wasn't the newest version, where the crash happened - correct me, if I'm wrong.)

Comment 7 Bug Zapper 2010-11-03 17:30:15 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Thomas Spura 2010-11-03 18:31:50 UTC
Sorry, python-visual is only imported yet in F-13 and up, could you retry to reproduce this either with an updated F-12 package or a later version of fedora?

You can find a scratch-build for F-12 here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2575138

Comment 9 dr.trigon 2010-11-03 22:59:08 UTC
Currently I'm using f13 on a new hardware - I will test this a soon as possible - just downloaded the packages from koji...

I will report the result as soon as possible - please stand by.

Greetings

Comment 10 dr.trigon 2010-11-04 09:01:09 UTC
Ok here the results, first I downloaded from [1] these two packages:

 python-visual-5.32-9.fc13.x86_64.rpm
 python-visual-debuginfo-5.32-9.fc13.x86_64.rpm

and installed the first.

After that in a python session, this happened:

>>> from visual import *
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/usr/lib64/python2.6/site-packages/visual/__init__.py", line 59, in <module>
     import cvisual
 ImportError: libgtkglextmm-x11-1.2.so.0: cannot open shared object file: No such file or directory

Which can be solved by just installing 'gtkglextmm', then the next try yielded:

 >>> from visual import *
 Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "/usr/lib64/python2.6/site-packages/visual/__init__.py", line 59, in <module>
     import cvisual
 ImportError: libglademm-2.4.so.1: cannot open shared object file: No such file or directory

This can also be solved by installing 'libglademm', and then the last python session gave:

 >>> from visual import *
 >>> arrow()
 
 (<unknown>:5133): GdkGLExt-WARNING **: Cannot open 
 
 (<unknown>:5133): GdkGLExt-WARNING **: Cannot open  f\x86dC\u007f
 
 glibmm-ERROR **: 
 unhandled exception (type std::exception) in signal handler:
 what: Unable to get extension function: glCreateProgramObjectARB even though the extension is advertised.

 aborting...
 Abgebrochen (Speicherabzug geschrieben)

so python-visual finally gets imported correct into python (after installing 2 dependencies) BUT was not able to create a primitive (e.g. sphere() did not work too), instead it crashes. But when I install 'gtkglextmm-devel' as further dependency it seams to work well, but this one needs about 50 other devel packages and 100MB additional space... (if this can be avoided this would be nice)
Anyway the correct set of those packages should be at least added as dependencies for python-visual, right?

Greetings and thanks for your patience!


[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=201925

Comment 11 dr.trigon 2010-11-04 09:15:16 UTC
(In addition to comment #10)

...and it seams that this are EXACTLY the same package dependency problems the ubuntu package is also suffering, look e.g. at [1]...

So may be we can conclude that our package is now 'state of the art' ;) but again; would it make sense to add at least this dependency to the package definition? By the way if you use 'gtkglextmm-devel' the other two dependencies mentioned first are satisfied automatically.

Greetings and thanks for you effort!!


[1] http://ubuntuforums.org/showthread.php?t=1495229

Comment 12 Thomas Spura 2010-11-04 12:28:32 UTC
Strange...

rpm should detect that automatically, I can work around that, with adding the Requires, but I'll try to fix this properly next week (hope that'll work)...


Could you please install it manually and try to reproduce the crash from above?

Comment 13 Thomas Spura 2010-11-12 14:50:07 UTC
I added gtkglextmm-devel, because that seems to fix your issue, because with just adding the other dependencies, this doesn't seem to always help...

I know vpython too less, to know exactly what's going wrong. Hopefully that will change sometime ;-)

Update on the way.

Please open a new bug report, when you have a new abrt-backtrace with this version.

Comment 14 Fedora Update System 2010-11-15 00:46:47 UTC
python-visual-5.32-10.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-visual-5.32-10.fc13

Comment 15 Fedora Update System 2010-11-15 22:15:03 UTC
python-visual-5.32-10.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-visual'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-visual-5.32-10.fc13

Comment 16 Fedora Update System 2010-11-23 21:49:40 UTC
python-visual-5.32-10.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.